//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb1.h
//   
// PURPOSE:      vertical Scrollbar for Visual Basic
//   
// COMMENTS:     A Vertical Scrollarea that generate change events even
//               if the user has not released the left mouse button.
//   
// HISTORY:      920611AH
//   
//****************************************************************************                    



#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------


PPROPINFO VBar_Properties_Vb1[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TAG,
    PPROPINFO_STD_TABINDEX,
    PPROPINFO_STD_TABSTOP,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_MOUSEPOINTER,
    &Property_VBar_About,
    &Property_VBar_LargeChange,
    &Property_VBar_SmallChange,
    &Property_VBar_Min,
    &Property_VBar_Max,
    &Property_VBar_Value,
    &Property_VBar_hWnd,
    NULL
};

//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO VBar_Events_Vb1[] =
{
    &Event_Change_VBar,
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    PEVENTINFO_STD_GOTFOCUS,
    PEVENTINFO_STD_KEYDOWN,
    PEVENTINFO_STD_KEYPRESS,
    PEVENTINFO_STD_KEYUP,
    PEVENTINFO_STD_LOSTFOCUS,
    NULL
};

//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------

MODEL modelVBar_Vb1 =
{
    VB100_VERSION,                         // VB version being used
    MODEL_fFocusOk |					// MODEL flags
    MODEL_fArrows | MODEL_fDesInteract,
    (PCTLPROC)VBarCtlProc,              // Control procedure
    CS_VREDRAW | CS_HREDRAW,            // Class style
    SBS_VERT,                           // Default Windows style
    sizeof(VBAR),                       // Size of VBAR structure
    IDBMP_VBAR,                         // Palette bitmap ID
    "EsVScroll",            			// Default control name
    "EsVScroll",            			// Visual Basic class name
    "Scrollbar",                        // Parent class name
    VBar_Properties_Vb1,                // Property information table
    VBar_Events_Vb1,                    // Event information table
	IPROP_VBAR_VALUE, 					// default property in code window : Value
	IEVENT_VBAR_CHANGE,					// default event in code window
	IPROP_VBAR_VALUE					// standard property
};

LPMODEL modellistVBar_Vb1[] =
    {
    &modelVBar_Vb1,
    NULL
    };

MODELINFO modelinfoVBar_Vb1 =
    {
    VB100_VERSION, 			// VB version being used
    modellistVBar_Vb1		// MODEL list
    };

#endif  // RC_INVOKED

//---------------------------------------------------------------------------
